Skip to main content
`Ctrl`+`K`

# DMPlexCreateGeomFromFile

Create a `DMPLEX` mesh from an EGADS, IGES, or STEP file.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGeomFromFile(MPI_Comm comm, const char filename[], DM *dm, PetscBool islite) PeNS

Collective

## Input Parameters

- comm - The MPI communicator

- filename - The name of the EGADS, IGES, or STEP file

- islite - Flag for EGADSlite support

## Output Parameter

- dm - The `DM` object representing the mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMPlexCreateEGADS()`, `DMPlexCreateEGADSliteFromFile()`

## Level

beginner

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages